// Number of bits for Cordic units.
#define NBITS 14

// 360 degrees = 65536 Cordic angle units (cau).
#define CAU_BASE 65536

const COLORREF colBlack      = RGB(  0,  0,  0);
const COLORREF colRed        = RGB(255,  0,  0);

// Quadrants for angles in Cordic calculations.
#define QUAD1 1
#define QUAD2 2
#define QUAD3 3
#define QUAD4 4

// Utils.cpp
void mdebug(char* s);
void mdebug(char* s, int n);
void mdebug(char* s, double x);
void mdebug(char* s, POINT pt);
int GetAngleCau(double angleDeg);

// Cordic.cpp
void SinCosSetup(void);
void SinCos(WORD theta, int *sine, int *cosine);

// Draw.cpp
void DrawCross(HDC hDC, POINT pt, COLORREF colr, int size);
void CalcHexPtsCordic(POINT center, POINT vertex, POINT* pPts, int count);
POINT GetVectorCordic(POINT p, int angleCordic, double distance);
void DrawEllipse(HDC hDC, POINT pCenter, int radius);
void DrawVector(HDC hDC, POINT p, POINT q, COLORREF colr);
void DrawVectorAtAngle(HDC hDC, POINT p, double angleDeg, int distance, int colr);
void DrawHexagon(HDC hDC, POINT center, POINT vertex);
